# Uses of Class
org.eclipse.birt.report.model.api.GroupElementHandle

Packages that use GroupElementHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of GroupElementHandle in org.eclipse.birt.report.model.api

Subclasses of GroupElementHandle in org.eclipse.birt.report.model.api
Modifier and Type
Class
Description
`class`
`EmptyGroupElementHandle`
Implements an empty group element handle, which actually can do nothing.
`class`
`SimpleGroupElementHandle`
Implements a simple group element handle, which has a non-empty selection element list and root module.
Fields in org.eclipse.birt.report.model.api declared as GroupElementHandle
Modifier and Type
Field
Description
`protected GroupElementHandle`
GroupPropertyHandle.`handle`
Handle to a collection of elements.
Methods in org.eclipse.birt.report.model.api that return GroupElementHandle
Modifier and Type
Method
Description
`static GroupElementHandle`
GroupElementFactory.`newGroupElement(ModuleHandle moduleHandle, List selectedElements)`
Instantiates a group element handle with the given module handle and selected design element list.